Subject: SSRC field in RTSP Transport header

From: Anders Klemets <[email-masked]>
Date: Tue, 24 Oct 2000 22:31:11 -0700

I recently noticed that the value of the "ssrc" attribute in the RTSP
Transport header should represented as exactly 8 hexadecimal digits.  At
least, that is how I interpret the BNF syntax in page 61 of RFC-2326.

So what is commonly used in this field?  Hexadecimal digits or decimal
digits?  It has been suggested that there might be implementations out there
that use decimal digits, so for the sake of interoperability it would be
better to ignore that the RFC specifies hexadecimal, and keep using decimal
digits.  Any opinions?

Anders